# Generated by go2rpm
# https://github.com/opencontainers/runc/issues/2076
%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

# https://github.com/opencontainers/runc
%global goipath         github.com/opencontainers/runc
Version:                1.0.0
%global tag             v1.0.0-rc8
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Runc is a CLI tool for spawning and running containers according to the OCI
specification.}

%global golicenses      LICENSE NOTICE
%global godocs          docs CONTRIBUTING.md MAINTAINERS_GUIDE.md\\\
                        PRINCIPLES.md README.md

Name:           %{goname}
Release:        1.rc8%{?dist}.1
Summary:        CLI tool for spawning and running containers

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/checkpoint-restore/go-criu/rpc)
BuildRequires:  golang(github.com/containerd/console)
BuildRequires:  golang(github.com/coreos/go-systemd/activation)
BuildRequires:  golang(github.com/coreos/go-systemd/dbus)
BuildRequires:  golang(github.com/coreos/go-systemd/util)
BuildRequires:  golang(github.com/cyphar/filepath-securejoin)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/godbus/dbus)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/mrunalp/fileutils)
BuildRequires:  golang(github.com/opencontainers/runtime-spec/specs-go)
BuildRequires:  golang(github.com/opencontainers/selinux/go-selinux)
BuildRequires:  golang(github.com/opencontainers/selinux/go-selinux/label)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/syndtr/gocapability/capability)
BuildRequires:  golang(github.com/urfave/cli)
BuildRequires:  golang(github.com/vishvananda/netlink)
BuildRequires:  golang(github.com/vishvananda/netlink/nl)
BuildRequires:  golang(golang.org/x/sys/unix)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/runc %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d libcontainer \
         -d libcontainer/cgroups/fs \
         -d libcontainer/integration \
         -d libcontainer/nsenter \
         -d libcontainer/utils
%endif

%files
%license LICENSE NOTICE
%doc docs CONTRIBUTING.md MAINTAINERS_GUIDE.md PRINCIPLES.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-1.rc8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 04 17:07:54 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1.rc8
- Initial package
